Loading...
Searching...
No Matches
pairtraversal.hh File Reference
`#include <dune/common/std/type_traits.hh>`
`#include <dune/typetree/nodeinterface.hh>`
`#include <dune/typetree/nodetags.hh>`
`#include <dune/typetree/treepath.hh>`
`#include <dune/typetree/visitor.hh>`
`#include <dune/typetree/traversal.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::TypeTree
namespace | Dune::TypeTree::Detail

## Functions

template<class T1, class T2, class TreePath, class V, std::enable_if_t<(std::decay_t< T1 >::isLeaf or std::decay_t< T2 >::isLeaf), int > = 0>
void | Dune::TypeTree::Detail::applyToTreePair (T1 &&tree1, T2 &&tree2, TreePath treePath, V &&visitor)
template<class T1, class T2, class TreePath, class V, std::enable_if_t< not(std::decay_t< T1 >::isLeaf or std::decay_t< T2 >::isLeaf), int > = 0>
void | Dune::TypeTree::Detail::applyToTreePair (T1 &&tree1, T2 &&tree2, TreePath treePath, V &&visitor)
template<typename Tree1, typename Tree2, typename Visitor>
void | Dune::TypeTree::applyToTreePair (Tree1 &&tree1, Tree2 &&tree2, Visitor &&visitor)
| Apply visitor to a pair of TypeTrees.